Retrieve Card Details
Security Notice: Card details are highly sensitive information. In the sandbox environment, this endpoint returns test card details without the usual security protections so you can build and test more easily.
In the production environment, card details are not exposed through APIs and are protected using industry standard security measures.
Get Card ID
To retrieve card details, you first need a valid access token and the card ID. Obtain the card ID by calling the GET /cards endpoint:
curl --request GET \
--url https://gp-auth-module.sandbox.gnosispay.in/cards
The response includes the cardID and other card information.
Get Sensitive Card Details
Use the card ID to retrieve sensitive card details (full card number, CVV, expiration) via the GET /cards/{cardId}/details endpoint:
curl --request GET \
--url https://gp-auth-module.sandbox.gnosispay.in/cards/{cardId}/details
These card details can be used for simulating transactions in the sandbox environment. The simulation guide provides instructions on how to use these details to simulate transactions here.